#ifndef FREE_TREE_HEADER
#define FREE_TREE_HEADER

#include "../support/nodes.h"

#define DEFAULT_TABLE_SIZE 500

typedef struct MallocTable {
    void ** elements;
    int used;
    int size;
} MallocTable;

void InitializeMallocTable();
void AddMalloc(void * pointer);
void FreeMallocTable();

#endif
