#ifndef SHARED_HEADER
#define SHARED_HEADER

#include <stdio.h>
#include "nodes.h"
#include <stdbool.h>

extern FILE * yyin;
extern FILE * yyout;
extern int yylineno;
extern char * yytext;
extern void yyerror(const char * string);
extern int yylex(void);
extern int yyparse(void);

typedef struct {
    bool succeed;
    Program * program;
} CompilerState;

extern CompilerState state;

#endif
